# Copyright (C) 2020-2021 HERE Global B.V. and its affiliate(s).
# All rights reserved.
#
# This software and other materials contain proprietary information
# controlled by HERE and are protected by applicable copyright legislation.
# Any use and utilization of this software and other materials and
# disclosure to any third parties is conditional upon having a separate
# agreement with HERE for the access, use, utilization or disclosure of this
# software. In the absence of such agreement, the use of the software is not
# allowed.

"""
This is an utility module for sample notebooks.
"""

from typing import Optional

from here.platform import Platform

def multi_run_wrapper(args):
    return get_blob_(*args)


def get_blob_(partition_id, catalog_hrn, layer_id, version: Optional[int] = None):
    platform = Platform()
    cat = platform.get_catalog(catalog_hrn)
    layer = cat.get_layer(layer_id)
    # print(f"Partition id: {partition_id} Version: {version}")
    blob = next(layer.read_partitions(partition_ids=[partition_id], version = version))
    return blob
